Bug 1268095 - The 'Select Service Level' screen's scrolled radio buttons partially hides options.
The 'Select Service Level' screen's scrolled radio buttons partially hides op...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: John Sefler
John Sefler
Depends On:
  Show dependency treegraph
Reported: 2015-10-01 15:47 EDT by Adrian Likins
Modified: 2015-11-19 06:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 06:51:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Select Service Level dialog that uses a combobox (46.26 KB, image/png)
2015-10-12 15:14 EDT, John Sefler
no flags Details
Select Service Level panel that uses a combobox (73.86 KB, image/jpeg)
2015-10-12 15:42 EDT, John Sefler
no flags Details

  None (edit)
Description Adrian Likins 2015-10-01 15:47:39 EDT
Description of problem:

On the Select Service Level screen in registergui, the input widget
for picking the sla is a group of radio buttons.

But there can potentially be a several available service levels, and
when the group gets too large, it becomes a scrollable window.

With the default gtk themes, it is non obvious it is a scrollable window,
so items off screen can be easy to miss.

Scrollable windows and viewports also present a layout headache because
they have very complicated size requesting code. The rule of thumb is
'pick a reasonable default and guess', but in our cases the window the
widget is in can be as small as ~300x400, or as large as full screen,
so there is no reasonable default.

Picking a default too large causes the entire RegisterWidget to request a huge
size and causes lots of awkward empty spaces on some screens.

Version-Release number of selected component (if applicable):

Register and go to "Select Service Level' screen, especially if you have an account with 5 or 6 service levels.
Comment 1 Adrian Likins 2015-10-01 15:56:37 EDT
upstream pr at https://github.com/candlepin/subscription-manager/pull/1315
Comment 3 John Sefler 2015-10-02 11:03:26 EDT
deferring to rhel-7.3.0 due to severity and time schedule remaining for rhel-7.2.0
Comment 4 John Sefler 2015-10-02 11:54:48 EDT
Upon further review, the pull request in comment 1 employs a combobox for choosing a common service which will adequately solve the problem of out-of-view service levels in the scrollable radio button list.  Moreover, the use of a combobox in this workflow is more consistent with the existing use of a combobox in the preferences dialog.

Moving back to rhel-7.2.0
Comment 6 Chris Snyder 2015-10-06 14:29:26 EDT
commit 843153a81d23ce1c4f05a7771d475abda6dbefae
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Oct 1 14:25:11 2015 -0400

    1268095: Replace SLA radio buttons w/ combobox
    The box of Gtk.RadioButton widgets on SelectSLAScreen
    causes an assortment of odd behavior.
    Most notably, it sometimes obscures some of the available
    options by having them in offscreen areas of a scrollwindow.
    With default themes, it is not very obvious there is an option
    to scroll and see other radio buttons.
    The scrolled window was originally added to handle cases where
    there is a large number of options, and a Gtk.Box of radio buttons
    would cause all sorts of layout issues. Especially when the
    register widgets window is a small fixed size (RHEL6 firstboot
    for example).
    To alleviate some of those issues, replace the box of radio
    buttons with a Gtk.ComboBox.

In upstream master as of the above commit.
Comment 9 John Sefler 2015-10-12 15:14 EDT
Created attachment 1082099 [details]
Select Service Level dialog that uses a combobox

Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager-gui

Testing against an onpremise candlepin server with TESTDATA deployed...

[root@jsefler-7 ~]# subscription-manager list --installed

    Installed Product Status
Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.

See attached screenshot showing the combobox used to select a service level after clicking "Auto-attach" in subscription-manager-gui
Comment 10 John Sefler 2015-10-12 15:42 EDT
Created attachment 1082102 [details]
Select Service Level panel that uses a combobox

Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager-initial-setup-addon 

See attachment with subscription-manager-initial-setup-addon showing the new combobox for selecting a common service-level.
Comment 11 errata-xmlrpc 2015-11-19 06:51:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.